Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# EggXfmAnimData Class Reference

Corresponding to an <Xfm$Anim> entry, this stores a two-dimensional table with up to nine columns, one for each component of a transformation. More...

Inheritance diagram for EggXfmAnimData:

List of all members.

## Public Member Functions
| EggXfmAnimData (EggXfmAnimData const copy)
| EggXfmAnimData (EggXfmSAnim const convert_from)
| Converts the newer-style XfmSAnim table to the older-style XfmAnim table.
| EggXfmAnimData (string name)
| EggXfmAnimData ()
| EggXfmAnimData (string name, CoordinateSystem cs)
| clearContents ()
| clearOrder ()
string | getContents ()
CoordinateSystem | getCoordinateSystem ()
| Returns the coordinate system this table believes it is defined within.
int | getNumCols ()
| Returns the number of columns in the table.
int | getNumRows ()
| Returns the number of rows in the table.
string | getOrder ()
| getValue (int row, Mat4D mat)
| Returns the value of the aggregate row of the table as a matrix.
double | getValue (int row, int col)
| Returns the value at the indicated row.
bool | hasContents ()
bool | hasOrder ()
EggXfmAnimData | operator= (EggXfmAnimData const copy)
| setContents (string contents)
| setOrder (string order)
## Static Public Member Functions
static TypeHandle | getClassType ()
static string | getStandardOrder ()
| Returns the standard order of matrix component composition.

## Detailed Description

Corresponding to an <Xfm$Anim> entry, this stores a two-dimensional table with up to nine columns, one for each component of a transformation.

This is an older syntax of egg anim table, not often used currently--it's replaced by EggXfmSAnim.

## Constructor & Destructor Documentation

EggXfmAnimData | ( | EggXfmAnimData const | copy | ) |

EggXfmAnimData | ( | EggXfmSAnim const | convert_from | ) |

Converts the newer-style XfmSAnim table to the older-style XfmAnim table.

EggXfmAnimData | ( | string | name,
|  | CoordinateSystem | cs
| ) |  |

EggXfmAnimData | ( | string | name | ) |

EggXfmAnimData | ( |  | ) |

## Member Function Documentation

clearContents | ( |  | ) |

clearOrder | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggAnimData.

string getContents | ( |  | ) |

CoordinateSystem getCoordinateSystem | ( |  | ) |

Returns the coordinate system this table believes it is defined within.

This should always match the coordinate system of the EggData structure that owns it. It is necessary to store it here because the meaning of the h, p, and r columns depends on the coordinate system.

int getNumCols | ( |  | ) |

Returns the number of columns in the table.

This is set according to the "contents" string, which defines the meaning of each column.

int getNumRows | ( |  | ) |

Returns the number of rows in the table.

string getOrder | ( |  | ) |

static string getStandardOrder | ( |  | ) | `[static]`

Returns the standard order of matrix component composition.

This is what the order string must be set to in order to use set_value() or add_data() successfully.

double getValue | ( | int | row,
|  | int | col
| ) |  |

Returns the value at the indicated row.

Row must be in the range 0 <= row < get_num_rows(); col must be in the range 0 <= col < get_num_cols().

getValue | ( | int | row,
|  | Mat4D | mat
| ) |  |

Returns the value of the aggregate row of the table as a matrix.

This is a convenience function that treats the 2-d table as if it were a single table of matrices.

bool hasContents | ( |  | ) |

bool hasOrder | ( |  | ) |

EggXfmAnimData operator= | ( | EggXfmAnimData const | copy | ) |

setContents | ( | string | contents | ) |

setOrder | ( | string | order | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties